<?xml version="1.0" encoding="UTF-8"?>
<con:soapui-project id="229b743e-4803-4870-90b3-cf5500ec1e4a" activeEnvironment="Default" name="CH:PDQm-ITI-78" resourceRoot="" soapui-version="5.7.0" abortOnError="false" runType="SEQUENTIAL" xmlns:con="http://eviware.com/soapui/config"><con:settings/><con:interface xsi:type="con:RestService" id="7c974840-ea2e-428d-84fa-2c6caa7966cb" wadlVersion="http://wadl.dev.java.net/2009/02" name="https://ehealthsuisse.ihe-europe.net" type="rest" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:settings/><con:definitionCache type="TEXT" rootPart=""/><con:endpoints><con:endpoint>https://ehealthsuisse.ihe-europe.net</con:endpoint></con:endpoints><con:resource name="Token" path="/iua-sso/realms/ch-iua/protocol/openid-connect/token" id="9deaf65d-32cc-4c23-8e60-b1ae0d4d0da7"><con:settings/><con:parameters><con:parameter><con:name>grant_type</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>resource</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>scope</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>client_id</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>client_secret</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter></con:parameters><con:method name="Token 1" id="0485eaca-9171-42e8-83e8-13336bf4c3d1" method="POST"><con:settings/><con:parameters/><con:representation type="REQUEST"><con:mediaType>application/x-www-form-urlencoded</con:mediaType><con:params/></con:representation><con:representation type="FAULT"><con:mediaType>application/json</con:mediaType><con:status>401 400</con:status><con:params/><con:element xmlns:tok="https://ehealthsuisse.ihe-europe.net/iua-sso/realms/ch-iua/protocol/openid-connect/token">tok:Fault</con:element></con:representation><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:tok="https://ehealthsuisse.ihe-europe.net/iua-sso/realms/ch-iua/protocol/openid-connect/token">tok:Response</con:element></con:representation><con:request name="Request 1" id="8547c334-ede5-4444-ba63-fc0d9f48cc83" mediaType="application/x-www-form-urlencoded" postQueryString="true"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>https://ehealthsuisse.ihe-europe.net</con:endpoint><con:request/><con:originalUri>https://ehealthsuisse.ihe-europe.net/iua-sso/realms/ch-iua/protocol/openid-connect/token</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="grant_type" value="client_credentials"/>
  <con:entry key="resource" value="http%3A%2F%2Fehealthsuisse.ihe-europe.net%2Fpixm-connector"/>
  <con:entry key="scope" value="purpose_of_use=urn:oid:2.16.756.5.30.1.127.3.10.5|NORM"/>
  <con:entry key="client_secret" value="vMLfCAjAa9OiuQoK21EUN66R8fbx2fxa"/>
  <con:entry key="client_id" value="ch-iua-client"/>
</con:parameters><con:parameterOrder><con:entry>grant_type</con:entry><con:entry>resource</con:entry><con:entry>scope</con:entry><con:entry>client_id</con:entry><con:entry>client_secret</con:entry></con:parameterOrder></con:request></con:method></con:resource></con:interface><con:interface xsi:type="con:RestService" id="d141a65c-9517-4f63-b270-41a4f88ec9bd" wadlVersion="http://wadl.dev.java.net/2009/02" name="https://ehealthsuisse.ihe-europe.net" type="rest" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:settings/><con:definitionCache type="TEXT" rootPart=""/><con:endpoints><con:endpoint>https://ehealthsuisse.ihe-europe.net</con:endpoint></con:endpoints><con:resource name="" path="" id="45572323-cacf-42c2-a565-b4773b7917e1"><con:settings/><con:parameters><con:parameter><con:name>_id</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>active</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>family</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>given</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>identifier</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>telecom</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>birthdate</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>address</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>address-city</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>address-country</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>address-postalcode</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>address-state</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>gender</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>mothersMaidenName</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter><con:parameter><con:name>_lastUpdated</con:name><con:value/><con:style>QUERY</con:style><con:default/><con:description xsi:nil="true"/></con:parameter></con:parameters><con:method name="1" id="5d99e44c-becf-4dac-8abd-804c51fecb04" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/fhir+json; charset=UTF-8</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:pat="https://qualification.ihe-europe.net/CH/fhir/Patient">pat:Response</con:element></con:representation><con:representation type="FAULT"><con:mediaType>application/fhir+json; charset=UTF-8</con:mediaType><con:status>400 500</con:status><con:params/><con:element xmlns:pat="https://qualification.ihe-europe.net/CH/fhir/Patient">pat:Fault</con:element></con:representation><con:representation type="FAULT"><con:mediaType xsi:nil="true"/><con:status>414</con:status><con:params/><con:element>data</con:element></con:representation><con:representation type="RESPONSE"><con:mediaType>text/html</con:mediaType><con:status>200</con:status><con:params/><con:element>html</con:element></con:representation><con:representation type="FAULT"><con:mediaType>text/html; charset=iso-8859-1</con:mediaType><con:status>404</con:status><con:params/><con:element>html</con:element></con:representation><con:request name="Request 1" id="49d99e02-4a78-473e-a734-e6ef2b8b6fcc" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>https://ehealthsuisse.ihe-europe.net</con:endpoint><con:request/><con:originalUri>https://ehealthsuisse.ihe-europe.net/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/><con:parameterOrder><con:entry>_id</con:entry><con:entry>active</con:entry><con:entry>family</con:entry><con:entry>given</con:entry><con:entry>identifier</con:entry><con:entry>telecom</con:entry><con:entry>birthdate</con:entry><con:entry>address</con:entry><con:entry>address-city</con:entry><con:entry>address-country</con:entry><con:entry>address-postalcode</con:entry><con:entry>address-state</con:entry><con:entry>gender</con:entry><con:entry>mothersMaidenName</con:entry><con:entry>_lastUpdated</con:entry></con:parameterOrder></con:request></con:method></con:resource></con:interface><con:testSuite id="328d2ac0-1a5c-425a-8d00-8fa7deae774e" name="Nominal Cases"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="c85a8d40-53f1-4a40-82f9-6aa7a568df05" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase" searchProperties="true"><con:settings/><con:testStep type="calltestcase" name="[INTERNAL] GetAccessTokenIUA" id="6d9b071b-72c1-4648-9790-4566b94e5cc5"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>0baf4b3a-b9ad-42f5-b819-40473156e64e</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="calltestcase" name="[INTERNAL]  AddTraceparent" id="14702483-0b2b-4514-872e-1c15c7963f46"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>a2e78b92-3f72-46c1-b9c7-4a0f69495b6a</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="Query Patient with_id" id="c71fdfed-dcc0-4130-9bb4-3512f273a25d"><con:settings/><con:config service="https://ehealthsuisse.ihe-europe.net" methodName="1" resourcePath="" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="Query Patient with_id" id="2e219f0f-5b4a-443b-ad57-f00a517bdf2c" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment xmlns:con="http://eviware.com/soapui/config">&#13;
  &lt;con:entry key="Authorization" value="Bearer ${#Project#accessTokenIUA}"/>&#13;
  &lt;con:entry key="Accept" value="application/fhir+json"/>&#13;
  &lt;con:entry key="traceparent" value="${#Project#traceparent}"/>&#13;
&lt;/xml-fragment></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#Project#domainName}/${#Project#path}/${#Project#resource}</con:endpoint><con:request/><con:originalUri>https://qualification.ihe-europe.net/CH/fhir/Patient</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="d35f3e50-5616-4295-809a-2f1ea869b66c" name="Valid HTTP Status Codes"><con:configuration><codes>200,201</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="6004365c-7015-4459-9f8f-987d85cd952d" name="Contains"><con:configuration><token>searchset</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="b2479b0a-636f-458b-ba55-eba8cb9c5e89" name="BundleResource"><con:configuration><path>$.resourceType</path><content>Bundle</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="28c8ef44-8018-421c-b794-ab2743a77204" name="searchsetType"><con:configuration><path>$.type</path><content>searchset</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="90ff4751-e601-42c5-9567-7dc49d10b0c9" name="At least 1 Patient"><con:configuration><path>$.entry[0].resource.resourceType</path><content>Patient</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="identifier" value=""/>
  <con:entry key="birthdate" value=""/>
  <con:entry key="address" value=""/>
  <con:entry key="address-state" value=""/>
  <con:entry key="gender" value=""/>
  <con:entry key="_lastUpdated" value=""/>
  <con:entry key="address-postalcode" value=""/>
  <con:entry key="mothersMaidenName" value=""/>
  <con:entry key="address-country" value=""/>
  <con:entry key="telecom" value=""/>
  <con:entry key="_id" value="${#TestSuite#_id}"/>
  <con:entry key="family" value=""/>
  <con:entry key="address-city" value=""/>
</con:parameters><con:parameterOrder><con:entry>_id</con:entry><con:entry>active</con:entry><con:entry>family</con:entry><con:entry>given</con:entry><con:entry>identifier</con:entry><con:entry>telecom</con:entry><con:entry>birthdate</con:entry><con:entry>address</con:entry><con:entry>address-city</con:entry><con:entry>address-country</con:entry><con:entry>address-postalcode</con:entry><con:entry>address-state</con:entry><con:entry>gender</con:entry><con:entry>mothersMaidenName</con:entry><con:entry>_lastUpdated</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:testStep type="restrequest" name="Query Patient with active + given + postalcode" id="1c083d9b-938a-4b62-9464-a502e5cacf79"><con:settings/><con:config service="https://ehealthsuisse.ihe-europe.net" methodName="1" resourcePath="" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="Query Patient with active + given + postalcode" id="2e219f0f-5b4a-443b-ad57-f00a517bdf2c" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment xmlns:con="http://eviware.com/soapui/config">&#13;
  &lt;con:entry key="Authorization" value="Bearer ${#Project#accessTokenIUA}"/>&#13;
  &lt;con:entry key="Accept" value="application/fhir+json"/>&#13;
  &lt;con:entry key="traceparent" value="${#Project#traceparent}"/>&#13;
&lt;/xml-fragment></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#Project#domainName}/${#Project#path}/${#Project#resource}</con:endpoint><con:request/><con:originalUri>https://qualification.ihe-europe.net/CH/fhir/Patient</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="d35f3e50-5616-4295-809a-2f1ea869b66c" name="Valid HTTP Status Codes"><con:configuration><codes>200,201</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="6004365c-7015-4459-9f8f-987d85cd952d" name="Contains"><con:configuration><token>searchset</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="b2479b0a-636f-458b-ba55-eba8cb9c5e89" name="BundleResource"><con:configuration><path>$.resourceType</path><content>Bundle</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="28c8ef44-8018-421c-b794-ab2743a77204" name="searchsetType"><con:configuration><path>$.type</path><content>searchset</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="90ff4751-e601-42c5-9567-7dc49d10b0c9" name="At least 1 Patient"><con:configuration><path>$.entry[0].resource.resourceType</path><content>Patient</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="given" value="${#TestSuite#given}"/>
  <con:entry key="address" value=""/>
  <con:entry key="address-state" value=""/>
  <con:entry key="gender" value=""/>
  <con:entry key="_lastUpdated" value=""/>
  <con:entry key="active" value="${#TestSuite#active}"/>
  <con:entry key="mothersMaidenName" value=""/>
  <con:entry key="address-postalcode" value="${#TestSuite#address-postalcode}"/>
  <con:entry key="address-country" value=""/>
  <con:entry key="telecom" value=""/>
  <con:entry key="family" value=""/>
  <con:entry key="address-city" value=""/>
</con:parameters><con:parameterOrder><con:entry>_id</con:entry><con:entry>active</con:entry><con:entry>family</con:entry><con:entry>given</con:entry><con:entry>identifier</con:entry><con:entry>telecom</con:entry><con:entry>birthdate</con:entry><con:entry>address</con:entry><con:entry>address-city</con:entry><con:entry>address-country</con:entry><con:entry>address-postalcode</con:entry><con:entry>address-state</con:entry><con:entry>gender</con:entry><con:entry>mothersMaidenName</con:entry><con:entry>_lastUpdated</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:testStep type="restrequest" name="Query Patient with identifier" id="55cf42b4-fcc0-408c-9169-d033cd06fb1b"><con:settings/><con:config service="https://ehealthsuisse.ihe-europe.net" methodName="1" resourcePath="" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="Query Patient with identifier" id="2e219f0f-5b4a-443b-ad57-f00a517bdf2c" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment xmlns:con="http://eviware.com/soapui/config">&#13;
  &lt;con:entry key="Authorization" value="Bearer ${#Project#accessTokenIUA}"/>&#13;
  &lt;con:entry key="Accept" value="application/fhir+json"/>&#13;
  &lt;con:entry key="traceparent" value="${#Project#traceparent}"/>&#13;
&lt;/xml-fragment></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#Project#domainName}/${#Project#path}/${#Project#resource}</con:endpoint><con:request/><con:originalUri>https://qualification.ihe-europe.net/CH/fhir/Patient</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="d35f3e50-5616-4295-809a-2f1ea869b66c" name="Valid HTTP Status Codes"><con:configuration><codes>200,201</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="6004365c-7015-4459-9f8f-987d85cd952d" name="Contains"><con:configuration><token>searchset</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="b2479b0a-636f-458b-ba55-eba8cb9c5e89" name="BundleResource"><con:configuration><path>$.resourceType</path><content>Bundle</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="28c8ef44-8018-421c-b794-ab2743a77204" name="searchsetType"><con:configuration><path>$.type</path><content>searchset</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="90ff4751-e601-42c5-9567-7dc49d10b0c9" name="At least 1 Patient"><con:configuration><path>$.entry[0].resource.resourceType</path><content>Patient</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="identifier" value="${#TestSuite#identifier}"/>
  <con:entry key="birthdate" value=""/>
  <con:entry key="address" value=""/>
  <con:entry key="address-state" value=""/>
  <con:entry key="gender" value=""/>
  <con:entry key="_lastUpdated" value=""/>
  <con:entry key="mothersMaidenName" value=""/>
  <con:entry key="address-country" value=""/>
  <con:entry key="telecom" value=""/>
  <con:entry key="family" value=""/>
  <con:entry key="address-city" value=""/>
</con:parameters><con:parameterOrder><con:entry>_id</con:entry><con:entry>active</con:entry><con:entry>family</con:entry><con:entry>given</con:entry><con:entry>identifier</con:entry><con:entry>telecom</con:entry><con:entry>birthdate</con:entry><con:entry>address</con:entry><con:entry>address-city</con:entry><con:entry>address-country</con:entry><con:entry>address-postalcode</con:entry><con:entry>address-state</con:entry><con:entry>gender</con:entry><con:entry>mothersMaidenName</con:entry><con:entry>_lastUpdated</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:testStep type="restrequest" name="Query Patient with family + birthdate" id="d9452172-2c06-4393-aa34-6457c7d51852"><con:settings/><con:config service="https://ehealthsuisse.ihe-europe.net" methodName="1" resourcePath="" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="Query Patient with family + birthdate" id="2e219f0f-5b4a-443b-ad57-f00a517bdf2c" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment xmlns:con="http://eviware.com/soapui/config">&#13;
  &lt;con:entry key="Authorization" value="Bearer ${#Project#accessTokenIUA}"/>&#13;
  &lt;con:entry key="Accept" value="application/fhir+json"/>&#13;
  &lt;con:entry key="traceparent" value="${#Project#traceparent}"/>&#13;
&lt;/xml-fragment></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#Project#domainName}/${#Project#path}/${#Project#resource}</con:endpoint><con:request/><con:originalUri>https://qualification.ihe-europe.net/CH/fhir/Patient</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="d35f3e50-5616-4295-809a-2f1ea869b66c" name="Valid HTTP Status Codes"><con:configuration><codes>200,201</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="6004365c-7015-4459-9f8f-987d85cd952d" name="Contains"><con:configuration><token>searchset</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="b2479b0a-636f-458b-ba55-eba8cb9c5e89" name="BundleResource"><con:configuration><path>$.resourceType</path><content>Bundle</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="28c8ef44-8018-421c-b794-ab2743a77204" name="searchsetType"><con:configuration><path>$.type</path><content>searchset</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="90ff4751-e601-42c5-9567-7dc49d10b0c9" name="At least 1 Patient"><con:configuration><path>$.entry[0].resource.resourceType</path><content>Patient</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="birthdate" value="${#TestSuite#birthdate}"/>
  <con:entry key="address" value=""/>
  <con:entry key="address-state" value=""/>
  <con:entry key="gender" value=""/>
  <con:entry key="telecom" value=""/>
  <con:entry key="family" value="${#TestSuite#family}"/>
  <con:entry key="mothersMaidenName" value=""/>
</con:parameters><con:parameterOrder><con:entry>_id</con:entry><con:entry>active</con:entry><con:entry>family</con:entry><con:entry>given</con:entry><con:entry>identifier</con:entry><con:entry>telecom</con:entry><con:entry>birthdate</con:entry><con:entry>address</con:entry><con:entry>address-city</con:entry><con:entry>address-country</con:entry><con:entry>address-postalcode</con:entry><con:entry>address-state</con:entry><con:entry>gender</con:entry><con:entry>mothersMaidenName</con:entry><con:entry>_lastUpdated</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:testStep type="transfer" name="[INTERNAL] Patient Technical Id Transfer" id="1b5b6f6a-09a6-4ee7-8728-e10ff0c764c6"><con:settings/><con:config xsi:type="con:PropertyTransfersStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:transfers setNullOnMissingSource="true" transferTextContent="true" failOnError="true" ignoreEmpty="false" transferToAll="false" entitize="false" transferChildNodes="false"><con:name>patientTechnicalId</con:name><con:sourceType>Response</con:sourceType><con:sourceStep>Query Patient with family + birthdate</con:sourceStep><con:sourcePath>entry[0].resource.id</con:sourcePath><con:targetType>patientTechnicalId</con:targetType><con:targetStep>#TestSuite#</con:targetStep><con:type>JSONPATH</con:type><con:targetTransferType>XPATH</con:targetTransferType><con:upgraded>true</con:upgraded></con:transfers></con:config></con:testStep><con:testStep type="restrequest" name="Retrieve Patient" id="dded542a-8611-4cb6-87ed-80b69f02a451"><con:settings/><con:config service="https://ehealthsuisse.ihe-europe.net" methodName="1" resourcePath="" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="Retrieve Patient" id="2e219f0f-5b4a-443b-ad57-f00a517bdf2c" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment xmlns:con="http://eviware.com/soapui/config">&#13;
  &lt;con:entry key="Authorization" value="Bearer ${#Project#accessTokenIUA}"/>&#13;
  &lt;con:entry key="Accept" value="application/fhir+json"/>&#13;
  &lt;con:entry key="traceparent" value="${#Project#traceparent}"/>&#13;
&lt;/xml-fragment></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#Project#domainName}/${#Project#path}/${#Project#resource}/${#TestSuite#patientTechnicalId}</con:endpoint><con:request/><con:originalUri>https://qualification.ihe-europe.net/CH/fhir/Patient</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="d35f3e50-5616-4295-809a-2f1ea869b66c" name="Valid HTTP Status Codes"><con:configuration><codes>200,201</codes></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="b2479b0a-636f-458b-ba55-eba8cb9c5e89" name="PatientResource"><con:configuration><path>$.resourceType</path><content>Patient</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="81f39dc0-69d0-48b1-8744-426796480e52" name="JsonPath Match"><con:configuration><path>$.id</path><content>${#TestSuite#patientTechnicalId}</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="identifier" value=""/>
  <con:entry key="birthdate" value=""/>
  <con:entry key="address" value=""/>
  <con:entry key="address-state" value=""/>
  <con:entry key="gender" value=""/>
  <con:entry key="_lastUpdated" value=""/>
  <con:entry key="address-postalcode" value=""/>
  <con:entry key="mothersMaidenName" value=""/>
  <con:entry key="address-country" value=""/>
  <con:entry key="telecom" value=""/>
  <con:entry key="family" value=""/>
  <con:entry key="address-city" value=""/>
</con:parameters><con:parameterOrder><con:entry>_id</con:entry><con:entry>active</con:entry><con:entry>family</con:entry><con:entry>given</con:entry><con:entry>identifier</con:entry><con:entry>telecom</con:entry><con:entry>birthdate</con:entry><con:entry>address</con:entry><con:entry>address-city</con:entry><con:entry>address-country</con:entry><con:entry>address-postalcode</con:entry><con:entry>address-state</con:entry><con:entry>gender</con:entry><con:entry>mothersMaidenName</con:entry><con:entry>_lastUpdated</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>_id</con:name><con:value>65d444bc-767c-4900-9618-3d5001e00dc0</con:value></con:property><con:property><con:name>active</con:name><con:value>true</con:value></con:property><con:property><con:name>family</con:name><con:value>Ovie</con:value></con:property><con:property><con:name>given</con:name><con:value>Bergan</con:value></con:property><con:property><con:name>identifier</con:name><con:value>urn:oid:2.16.756.5.30.1.127.3.10.3|761337610435209810</con:value></con:property><con:property><con:name>telecom</con:name><con:value>%2B41%2520%280%2958%2520462%252093%252059</con:value></con:property><con:property><con:name>birthdate</con:name><con:value>2002-03-29</con:value></con:property><con:property><con:name>address</con:name><con:value>Könizbergstrasse 3018 Bern</con:value></con:property><con:property><con:name>address-city</con:name><con:value>Bern</con:value></con:property><con:property><con:name>address-country</con:name><con:value>CH</con:value></con:property><con:property><con:name>address-postalcode</con:name><con:value>3018</con:value></con:property><con:property><con:name>address-state</con:name><con:value>CH</con:value></con:property><con:property><con:name>gender</con:name><con:value>male</con:value></con:property><con:property><con:name>mothersMaidenName</con:name><con:value/></con:property><con:property><con:name>patientTechnicalId</con:name><con:value xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">65d444bc-767c-4900-9618-3d5001e00dc0</con:value></con:property></con:properties></con:testSuite><con:testSuite id="d4951354-2d70-48be-a789-646b3a77c199" name="Error Cases"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="90abbd39-4892-4ad5-a8fe-1315881a4053" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase" searchProperties="true"><con:settings/><con:testStep type="calltestcase" name="[INTERNAL] GetAccessTokenIUA" id="b2f4d878-3745-49c5-b8c3-f51813053efe"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>0baf4b3a-b9ad-42f5-b819-40473156e64e</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="calltestcase" name="[INTERNAL]  AddTraceparent" id="eaac674a-38df-4b34-8f28-fd98e8375671"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>a2e78b92-3f72-46c1-b9c7-4a0f69495b6a</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="Query Patient without IUA Token" id="217f38a5-e2a5-41aa-aa51-5475dbec7bbd"><con:settings/><con:config service="https://ehealthsuisse.ihe-europe.net" methodName="1" resourcePath="" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="Query Patient without IUA Token" id="2e219f0f-5b4a-443b-ad57-f00a517bdf2c" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment xmlns:con="http://eviware.com/soapui/config">&#13;
  &lt;con:entry key="Accept" value="application/fhir+json"/>&#13;
  &lt;con:entry key="traceparent" value="${#Project#traceparent}"/>&#13;
&lt;/xml-fragment></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#Project#domainName}/${#Project#path}/${#Project#resource}</con:endpoint><con:request/><con:originalUri>https://qualification.ihe-europe.net/CH/fhir/Patient</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="d35f3e50-5616-4295-809a-2f1ea869b66c" name="Valid HTTP Status Codes"><con:configuration><codes>400, 401</codes></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="identifier" value=""/>
  <con:entry key="birthdate" value=""/>
  <con:entry key="address" value=""/>
  <con:entry key="address-state" value=""/>
  <con:entry key="gender" value=""/>
  <con:entry key="_lastUpdated" value=""/>
  <con:entry key="address-postalcode" value=""/>
  <con:entry key="mothersMaidenName" value=""/>
  <con:entry key="address-country" value=""/>
  <con:entry key="telecom" value=""/>
  <con:entry key="_id" value="${#TestSuite#_id}"/>
  <con:entry key="family" value=""/>
  <con:entry key="address-city" value=""/>
</con:parameters><con:parameterOrder><con:entry>_id</con:entry><con:entry>active</con:entry><con:entry>family</con:entry><con:entry>given</con:entry><con:entry>identifier</con:entry><con:entry>telecom</con:entry><con:entry>birthdate</con:entry><con:entry>address</con:entry><con:entry>address-city</con:entry><con:entry>address-country</con:entry><con:entry>address-postalcode</con:entry><con:entry>address-state</con:entry><con:entry>gender</con:entry><con:entry>mothersMaidenName</con:entry><con:entry>_lastUpdated</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:testStep type="restrequest" name="Query Patient with more than 5 matches" id="4153a09d-dec6-4089-898e-c647488b2049"><con:settings/><con:config service="https://ehealthsuisse.ihe-europe.net" methodName="1" resourcePath="" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="Query Patient with more than 5 matches" id="2e219f0f-5b4a-443b-ad57-f00a517bdf2c" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment xmlns:con="http://eviware.com/soapui/config">&#13;
  &lt;con:entry key="Authorization" value="Bearer ${#Project#accessTokenIUA}"/>&#13;
  &lt;con:entry key="Accept" value="application/fhir+json"/>&#13;
  &lt;con:entry key="traceparent" value="${#Project#traceparent}"/>&#13;
&lt;/xml-fragment></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#Project#domainName}/${#Project#path}/${#Project#resource}</con:endpoint><con:request/><con:originalUri>https://qualification.ihe-europe.net/CH/fhir/Patient</con:originalUri><con:assertion type="Invalid HTTP Status Codes" id="b4f70aa3-2e57-4585-901b-882153887e5d" name="Invalid HTTP Status Codes"><con:configuration><codes>200, 201</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="a26409cc-5105-4700-bef0-8b5c2248fd86" name="Contains"><con:configuration><token>OperationOutcome</token><ignoreCase>true</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="identifier" value=""/>
  <con:entry key="birthdate" value=""/>
  <con:entry key="address" value=""/>
  <con:entry key="gender" value=""/>
  <con:entry key="_lastUpdated" value=""/>
  <con:entry key="telecom" value=""/>
  <con:entry key="family" value="Ovie"/>
  <con:entry key="address-city" value=""/>
  <con:entry key="mothersMaidenName" value=""/>
  <con:entry key="address-country" value=""/>
</con:parameters><con:parameterOrder><con:entry>_id</con:entry><con:entry>active</con:entry><con:entry>family</con:entry><con:entry>given</con:entry><con:entry>identifier</con:entry><con:entry>telecom</con:entry><con:entry>birthdate</con:entry><con:entry>address</con:entry><con:entry>address-city</con:entry><con:entry>address-country</con:entry><con:entry>address-postalcode</con:entry><con:entry>address-state</con:entry><con:entry>gender</con:entry><con:entry>mothersMaidenName</con:entry><con:entry>_lastUpdated</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:testStep type="restrequest" name="Query Patient with telecom" id="50e273aa-7ad0-4c54-b9cc-b56ce0e1843b"><con:settings/><con:config service="https://ehealthsuisse.ihe-europe.net" methodName="1" resourcePath="" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="Query Patient with telecom" id="2e219f0f-5b4a-443b-ad57-f00a517bdf2c" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment xmlns:con="http://eviware.com/soapui/config">&#13;
  &lt;con:entry key="Authorization" value="Bearer ${#Project#accessTokenIUA}"/>&#13;
  &lt;con:entry key="Accept" value="application/fhir+json"/>&#13;
  &lt;con:entry key="traceparent" value="${#Project#traceparent}"/>&#13;
&lt;/xml-fragment></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>${#Project#domainName}/${#Project#path}/${#Project#resource}</con:endpoint><con:request/><con:originalUri>https://qualification.ihe-europe.net/CH/fhir/Patient</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="d35f3e50-5616-4295-809a-2f1ea869b66c" name="Valid HTTP Status Codes"><con:configuration><codes>400,401</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="a6198f55-097b-472f-bee0-7fb436556d1b" name="Contains"><con:configuration><token>OperationOutcome</token><ignoreCase>true</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="identifier" value=""/>
  <con:entry key="birthdate" value=""/>
  <con:entry key="address" value=""/>
  <con:entry key="address-state" value=""/>
  <con:entry key="gender" value=""/>
  <con:entry key="_lastUpdated" value=""/>
  <con:entry key="telecom" value="${#TestSuite#Telecom}"/>
  <con:entry key="family" value=""/>
  <con:entry key="address-city" value=""/>
  <con:entry key="address-postalcode" value=""/>
  <con:entry key="mothersMaidenName" value=""/>
  <con:entry key="address-country" value=""/>
</con:parameters><con:parameterOrder><con:entry>_id</con:entry><con:entry>active</con:entry><con:entry>family</con:entry><con:entry>given</con:entry><con:entry>identifier</con:entry><con:entry>telecom</con:entry><con:entry>birthdate</con:entry><con:entry>address</con:entry><con:entry>address-city</con:entry><con:entry>address-country</con:entry><con:entry>address-postalcode</con:entry><con:entry>address-state</con:entry><con:entry>gender</con:entry><con:entry>mothersMaidenName</con:entry><con:entry>_lastUpdated</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>_id</con:name><con:value>267</con:value></con:property><con:property><con:name>telecom</con:name><con:value>%2B41%2520%280%2958%2520462%252093%252059</con:value></con:property></con:properties></con:testSuite><con:testSuite id="26e6959c-9f73-486a-92e8-7490e3922899" name="Library" disabled="true"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="0baf4b3a-b9ad-42f5-b819-40473156e64e" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="IUA Access Token" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="IUA-GetAccessToken" id="1c9e4574-9953-49ee-9d9d-8cc222f55a06"><con:settings/><con:config service="https://ehealthsuisse.ihe-europe.net" resourcePath="/iua-sso/realms/ch-iua/protocol/openid-connect/token" methodName="Token 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="IUA-GetAccessToken" id="a6516024-19fc-4162-bb12-370a2263ad9a" mediaType="application/x-www-form-urlencoded" postQueryString="true"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Content-Type" value="application/x-www-form-urlencoded" xmlns="http://eviware.com/soapui/config"/></con:setting></con:settings><con:endpoint>${#Project#authorizationServerDomainName}</con:endpoint><con:request>
</con:request><con:originalUri>https://dev2.ihe.kereval.cloud/iua-sso/realms/ch-iua/protocol/openid-connect/token</con:originalUri><con:credentials><con:username>ch-iua-client</con:username><con:password>vMLfCAjAa9OiuQoK21EUN66R8fbx2fxa</con:password><con:selectedAuthProfile>Basic</con:selectedAuthProfile><con:addedBasicAuthenticationTypes>Basic</con:addedBasicAuthenticationTypes><con:preemptive>false</con:preemptive><con:authType>Global HTTP Settings</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters>
  <con:entry key="grant_type" value="client_credentials"/>
  <con:entry key="resource" value="${#Project#resourceIUA}"/>
  <con:entry key="scope" value="${#Project#scopeBasicIUA}"/>
  <con:entry key="client_secret" value="${#Project#client_secretIUA}"/>
  <con:entry key="client_id" value="${#Project#client_idIUA}"/>
</con:parameters><con:parameterOrder><con:entry>grant_type</con:entry><con:entry>resource</con:entry><con:entry>scope</con:entry><con:entry>client_id</con:entry><con:entry>client_secret</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:testStep type="groovy" name="StoreIUAToken" id="ce077c20-4e1e-4348-8a21-5bc9107f445e"><con:settings/><con:config><script>import groovy.json.JsonSlurper  

def response = testRunner.testCase.getTestStepByName("IUA-GetAccessToken").getPropertyValue("Response")  

def jsonSlurper = new JsonSlurper() 

Map parsedJson = jsonSlurper.parseText(response)   

String accessToken = parsedJson.get("access_token")  

//log.info(accessToken) 
testRunner.testCase.testSuite.project.setPropertyValue("accessTokenIUA", accessToken)</script></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="a2e78b92-3f72-46c1-b9c7-4a0f69495b6a" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="Traceparent" searchProperties="true"><con:settings/><con:testStep type="groovy" name="generateTraceparent" id="d4ba0444-9bef-48cd-8ae0-aa722d3f14ec"><con:settings/><con:config><script>import java.util.UUID
import java.util.regex.Pattern

def generateHex() {
	def key= UUID.randomUUID().toString().replaceAll("-", "")
	return key
}

def traceparent = "00-" + generateHex().substring(0, 32) + "-" + generateHex().substring(0, 16) + "-00"

//log.info(traceparent)
testRunner.testCase.testSuite.project.setPropertyValue("traceparent", traceparent);
def pattern = Pattern.compile("^00-[a-fA-F0-9]{32}-[a-fA-F0-9]{16}-00\$")
assert pattern.matcher(traceparent).matches() : "Generated traceparent does not correspond to the expected result"</script></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>endPoint_IUA</con:name><con:value>${#Project#endpoint}</con:value></con:property></con:properties></con:testSuite><con:properties><con:property><con:name>authorizationServerDomainName</con:name><con:value>https://ehealthsuisse.ihe-europe.net</con:value></con:property><con:property><con:name>resourceIUA</con:name><con:value>http%3A%2F%2Fehealthsuisse.ihe-europe.net%2FPDQm-Manager</con:value></con:property><con:property><con:name>scopeBasicIUA</con:name><con:value>purpose_of_use=urn:oid:2.16.756.5.30.1.127.3.10.5|NORM</con:value></con:property><con:property><con:name>client_IdIUA</con:name><con:value>ch-iua-client</con:value></con:property><con:property><con:name>client_secretIUA</con:name><con:value>vMLfCAjAa9OiuQoK21EUN66R8fbx2fxa</con:value></con:property><con:property><con:name>accessTokenIUA</con:name><con:value>WILL_BE_ERASED</con:value></con:property><con:property><con:name>traceparent</con:name><con:value>WILL_BE_ERASED</con:value></con:property><con:property><con:name>domainName</con:name><con:value>https://ehealthsuisse.ihe-europe.net</con:value></con:property><con:property><con:name>path</con:name><con:value>pdqm-fhir-simulator/CH/fhir</con:value></con:property><con:property><con:name>resource</con:name><con:value>Patient</con:value></con:property></con:properties><con:wssContainer/><con:oAuth2ProfileContainer/><con:oAuth1ProfileContainer/><con:sensitiveInformation/></con:soapui-project>